#
# spec file for package unzip (Version 5.52)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone util-linux vim zlib zlib-devel

Name:           unzip
License:        BSD 3-Clause
Group:          Productivity/Archiving/Compression
Provides:       crunzip
Obsoletes:      crunzip
AutoReqProv:    on
Version:        5.52
Release:        16.6
Summary:        A program to unpack compressed files
Source:         ftp://ftp.info-zip.org/pub/infozip/src/unzip552.tar.gz
Url:            http://www.info-zip.org/
Patch:          unzip.dif
Patch1:         unzip-iso8859_2.patch
Patch3:         unzip-optflags.patch
Patch4:         unzip-5.52-filename_too_long.patch
Patch5:         unzip-5.5.2-goo-sec.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
UnZip is an extraction utility for archives compressed in .zip format
(known as "zip files").  Although highly compatible both with PKWARE's
PKZIP(tm) and PKUNZIP utilities for MS-DOS and with Info-ZIP's own Zip
program, our primary objectives have been portability and non-MS-DOS
functionality. This version can also extract encrypted archives.



Authors:
--------
    Info-ZIP <zip-bugs@lists.wku.edu>

%debug_package
%prep
%setup -q
%patch -p1
%patch1 -p1
%patch3
%patch4
%patch5

%build
%ifarch %ix86
TARGET=linux
%else
TARGET=linux_noasm
%endif
export RPM_OPT_FLAGS="%optflags -DLARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -fstack-protector"
make $TARGET -f unix/Makefile LF2=

%install
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
ln -sf unzip zipinfo
for i in unzip funzip unzipsfx zipinfo;	\
do	install $i $RPM_BUILD_ROOT%{_bindir};done;
install unix/zipgrep $RPM_BUILD_ROOT%{_bindir}
for i in man/*.1;	\
do \
  install -m 644 $i $RPM_BUILD_ROOT%{_mandir}/man1/
done

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc %{_mandir}/man1/*
%doc BUGS COPYING.OLD Contents History.* INSTALL LICENSE README ToDo WHERE
%doc *.txt proginfo
%{_bindir}/unzip
%{_bindir}/funzip
%{_bindir}/unzipsfx
%{_bindir}/zipinfo
%{_bindir}/zipgrep

%changelog
* Mon Feb 04 2008 - pth@suse.de
- Add patch to fix erroneous freeing of buffers (bnc#358425)
* Fri Jan 27 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 26 2006 - pth@suse.de
- Reject file names that are too long (Bugzilla #140304)
- Use stack protector.
* Fri Jan 20 2006 - schwab@suse.de
- Don't strip binaries.
* Thu Dec 15 2005 - pth@suse.de
- Compile with (limited) large file support. This will support
  single files exceeding 2 GB as long as the archive stays below
  that theshold.
* Mon Jun 13 2005 - rommel@suse.de
- update to version 5.52 (Bugzilla #67279)
* Sat Aug 07 2004 - rommel@suse.de
- update to version 5.51
  (fixes old security bugs, adds PKWARE's compression code Deflate64)
* Wed May 19 2004 - ro@suse.de
- added -fno-strict-aliasing
- really use RPM_OPT_FLAGS
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Tue Sep 23 2003 - rommel@suse.de
- replaced fix for ../ exploit with a fix both for
  the ../ exploit and '/' exploit (Bugzilla #29311)
* Thu Jul 03 2003 - rommel@suse.de
- added fix for ../ exploit (Bugzilla #27667)
* Fri Jan 17 2003 - rommel@suse.de
- fixed Summary: to be more verbose about what this package does
* Wed Sep 18 2002 - ro@suse.de
- removed bogus self-provides
* Fri Jul 05 2002 - kukuk@suse.de
- Use %%ix86 macro
* Mon Mar 11 2002 - rommel@suse.de
- Update to 5.50
- took over parts of pmladek's patch (see below)
* Thu Jan 24 2002 - grimmer@suse.de
- added unzip-5.42-iso8859_2.patch to fix coding conversion
  between Microsoft and Linux file names
  (originally from http://www.axis.cz/linux/zip_unzip.php3,
  enhanced to support both ISO8859-1 and ISO8859-2 by Petr Mladek
  <pmladek@suse.cz>)
* Mon Apr 09 2001 - grimmer@suse.de
- Update to 5.42
- file list fixes (new license file, documentation renames)
* Wed Dec 13 2000 - grimmer@suse.de
- Update to 5.41 (now includes decryption support)
- now Provides and Obsoletes crunzip
- bzipped sources
- use BuildRoot
* Tue Feb 29 2000 - schwab@suse.de
- Add support for ia64.
- /usr/man -> /usr/share/man
* Wed Dec 22 1999 - grimmer@suse.de
- Added "Conflicts: crzip" to spec file
- cleaned up Provides: tag
* Fri Dec 17 1999 - grimmer@suse.de
- Spec file cleanups
* Sat Nov 27 1999 - kukuk@suse.de
- Use linux_noasm Makefile target on SPARC
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Sep 08 1999 - uli@suse.de
- uses target linux_noasm for PPC
* Wed Feb 24 1999 - grimmer@suse.de
- new version (5.40)
- specfile modifications
- added french description
* Mon Jan 11 1999 - ro@suse.de
- use target linux_noasm for alpha
* Fri Jan 23 1998 - rj@suse.de
- version 5.32
* Thu Feb 06 1997 - rj@suse.de
- version 5.12
- new test/changes/plist files
